Chromium Code Reviews
Help | Chromium Project | Sign in
(4)

Issue 19506004: Add the beginnings of a Chromoting Android app (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 7 months ago by solb
Modified:
1 year, 7 months ago
Reviewers:
garykac, Wez
CC:
chromium-reviews, jamiewalch+watch_chromium.org, dcaiafa+watch_chromium.org, hclam+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, rmsousa+watch_chromium.org, weitaosu+watch_chromium.org, alexeypa+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

Add the beginnings of a Chromoting Android app Currently, this has only the following capabilities: + Authenticate using a Google account on the phone + Query and display the host list from the Chromoting directory server + Connect to and communicate with the host service over XMPP/ICE + Establish peer-to-peer channels for communicating with the host service Notable missing features are: - Display the host's desktop - Handle any kind of input Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=212496

Patch Set 1 #

Total comments: 28

Patch Set 2 : Address Gary's spacing and commenting concerns #

Total comments: 6

Patch Set 3 : Change XML files' indentation #

Patch Set 4 : Externalize resources to remoting/resources/ directory #

Patch Set 5 : Minimize monitor use, concatenate using StringBuilder, tune host list spacing, make build target re… #

Unified diffs Side-by-side diffs Delta from patch set Stats (+648 lines, -0 lines) Patch
M build/all_android.gyp View 1 chunk +1 line, -1 line 0 comments Download
A + remoting/android/OWNERS View 0 chunks +-1 lines, --1 lines 0 comments Download
A remoting/android/java/AndroidManifest.xml View 1 2 1 chunk +22 lines, -0 lines 0 comments Download
A remoting/android/java/src/org/chromium/chromoting/Chromoting.java View 1 2 3 4 1 chunk +317 lines, -0 lines 0 comments Download
A remoting/android/java/src/org/chromium/chromoting/jni/JniInterface.java View 1 2 3 4 1 chunk +182 lines, -0 lines 0 comments Download
M remoting/protocol/connection_to_host.h View 1 1 chunk +6 lines, -0 lines 0 comments Download
M remoting/protocol/errors.h View 1 1 chunk +3 lines, -0 lines 0 comments Download
M remoting/remoting.gyp View 1 2 3 4 1 chunk +43 lines, -0 lines 0 comments Download
A remoting/resources/layout/host.xml View 1 2 3 4 1 chunk +9 lines, -0 lines 0 comments Download
A remoting/resources/layout/main.xml View 1 2 3 1 chunk +12 lines, -0 lines 0 comments Download
A remoting/resources/strings.xml View 1 2 3 1 chunk +54 lines, -0 lines 0 comments Download
Commit:

Messages

Total messages: 9 (0 generated)
solb
Here's enough Java code to build an app that actually builds, runs, and is somewhat ...
1 year, 7 months ago (2013-07-17 08:36:26 UTC) #1
garykac
https://codereview.chromium.org/19506004/diff/1/remoting/android/java/res/values/strings.xml File remoting/android/java/res/values/strings.xml (right): https://codereview.chromium.org/19506004/diff/1/remoting/android/java/res/values/strings.xml#newcode8 remoting/android/java/res/values/strings.xml:8: <string name="inst_host_list">\'s remote desktop hosts:</string> This sounds like it's ...
1 year, 7 months ago (2013-07-17 23:52:28 UTC) #2
solb
https://codereview.chromium.org/19506004/diff/1/remoting/android/java/res/values/strings.xml File remoting/android/java/res/values/strings.xml (right): https://codereview.chromium.org/19506004/diff/1/remoting/android/java/res/values/strings.xml#newcode8 remoting/android/java/res/values/strings.xml:8: <string name="inst_host_list">\'s remote desktop hosts:</string> On 2013/07/17 23:52:28, garykac ...
1 year, 7 months ago (2013-07-18 01:23:36 UTC) #3
Wez
https://codereview.chromium.org/19506004/diff/8001/remoting/android/java/AndroidManifest.xml File remoting/android/java/AndroidManifest.xml (right): https://codereview.chromium.org/19506004/diff/8001/remoting/android/java/AndroidManifest.xml#newcode7 remoting/android/java/AndroidManifest.xml:7: android:targetSdkVersion="14"/> nit: Indentation. https://codereview.chromium.org/19506004/diff/8001/remoting/android/java/AndroidManifest.xml#newcode13 remoting/android/java/AndroidManifest.xml:13: android:icon="@drawable/chromoting128"> nit: Indentation. https://codereview.chromium.org/19506004/diff/8001/remoting/android/java/res/layout/main.xml ...
1 year, 7 months ago (2013-07-18 17:08:42 UTC) #4
solb
https://codereview.chromium.org/19506004/diff/8001/remoting/android/java/AndroidManifest.xml File remoting/android/java/AndroidManifest.xml (right): https://codereview.chromium.org/19506004/diff/8001/remoting/android/java/AndroidManifest.xml#newcode7 remoting/android/java/AndroidManifest.xml:7: android:targetSdkVersion="14"/> On 2013/07/18 17:08:42, Wez wrote: > nit: Indentation. ...
1 year, 7 months ago (2013-07-18 17:47:49 UTC) #5
solb
Hopefully the bots don't refuse to apply *this* patch. Does it look ready to go ...
1 year, 7 months ago (2013-07-18 20:29:57 UTC) #6
garykac
lgtm
1 year, 7 months ago (2013-07-18 20:33:26 UTC) #7
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/solb@chromium.org/19506004/16003
1 year, 7 months ago (2013-07-18 21:56:51 UTC) #8
I haz the power (commit-bot)
1 year, 7 months ago (2013-07-19 01:49:10 UTC) #9
Message was sent while issue was closed.
Change committed as 212496
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld dd99357-tainted